'use client'
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var logger$1 = require('@dynamic-labs/logger');
var constants = require('../../constants.cjs');

class DynamicEmbeddedWalletsLogger extends logger$1.Logger {
    constructor(name, level) {
        super(name, level);
    }
    error(message, ...args) {
        const [err] = args;
        if (!(err === null || err === void 0 ? void 0 : err.message) ||
            !constants.TURNKEY_SDK_BENIGN_ERRORS.some((errorMsg) => err.message.includes(errorMsg))) {
            this.log(logger$1.LogLevel.ERROR, message, ...args);
        }
        else {
            // log benign turnkey sdk errors as WARN
            this.warn(message, ...args);
        }
    }
}
const logger = new DynamicEmbeddedWalletsLogger('Dynamic embedded wallets', logger$1.LogLevel.INFO);

exports.DynamicEmbeddedWalletsLogger = DynamicEmbeddedWalletsLogger;
exports.logger = logger;
